package q02b.exe.comun.valueobjects;



import java.io.InputStream; 



import q02b.exe.arquitectura.valueobjects.Q02bValueObject;



public class Q02bAttachment extends Q02bValueObject{



	private static final long serialVersionUID = 394994108274128326L;



	private String		niMensaje		=   "";

	private String		niCorr			=   "";

	private String		fileName		= 	"";

	private String		fileSize		= 	"";

	private InputStream	inputStream		=	null;

	private String		niEstado		=   "";

	private String		numError		= 	"";

	private String		fileType		= 	null;

	private String		fileContentType	= 	null;



	//Constructor

	public Q02bAttachment(){}



	//ATRIBUTOS DEL Attachment

	public String getNiMensaje() {

		return niMensaje;

	}

	public void setNiMensaje(String niMensaje) {

		this.niMensaje = niMensaje;

	}

	

	public String getNiCorr() {

		return niCorr;

	}

	public void setNiCorr(String niCorr) {

		this.niCorr = niCorr;

	}

	

	public String getFileName() {

		return fileName;

	}

	public void setFileName(String fileName) {

		this.fileName = fileName;

	}

	

	public String getFileSize() {

		return fileSize;

	}

	public void setFileSize(String fileSize) {

		this.fileSize = fileSize;

	}

	

	public InputStream getInputStream() {

		return inputStream;

	}

	public void setInputStream(InputStream inputStream) {

		this.inputStream = inputStream;

	}

	

	public String getNiEstado() {

		return niEstado;

	}

	public void setNiEstado(String niEstado) {

		this.niEstado = niEstado;

	}

	

	public String getNumError() {

		return numError;

	}

	public void setNumError(String numError) {

		this.numError = numError;

	}



	public String getFileType(){

		return fileType;

	}

	public void setFileType(String fileType) {

		this.fileType = fileType;

	}

	

	public String getFileContentType(){

		return fileContentType;

	}

	public void setFileContentType(String fileContentType) {

		this.fileContentType = fileContentType;

	}

	

}

